Bug 1828432 - CVE-2019-20790 CVE-2020-12272 opendmarc: Two vulnerabilities in openDMARC 1.3.2 [epel-all]
Summary: CVE-2019-20790 CVE-2020-12272 opendmarc: Two vulnerabilities in openDMARC 1.3...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opendmarc
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-20790, CVE-2020-12272
TreeView+ depends on / blocked
 
Reported: 2020-04-27 17:18 UTC by Pedro Sampaio
Modified: 2021-06-07 00:31 UTC (History)
1 user (show)

Fixed In Version: opendmarc-1.4.1-1.fc33 opendmarc-1.4.1-1.fc34 opendmarc-1.4.1-1.el7 opendmarc-1.4.1-1.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-31 00:47:29 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2020-04-27 17:18:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2020-04-27 17:18:09 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1828430,1828432

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Admin user for bugzilla script actions 2021-02-25 00:08:48 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Update System 2021-05-22 18:49:29 UTC
FEDORA-2021-1ec3c5ed63 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1ec3c5ed63

Comment 4 Fedora Update System 2021-05-22 18:49:35 UTC
FEDORA-EPEL-2021-6cc996cdc4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-6cc996cdc4

Comment 5 Fedora Update System 2021-05-22 18:49:40 UTC
FEDORA-2021-433e7d72ce has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-433e7d72ce

Comment 6 Fedora Update System 2021-05-22 18:49:45 UTC
FEDORA-EPEL-2021-bdd3e1ab81 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bdd3e1ab81

Comment 7 Fedora Update System 2021-05-23 01:37:23 UTC
FEDORA-2021-433e7d72ce has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-433e7d72ce`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-433e7d72ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-23 01:43:54 UTC
FEDORA-EPEL-2021-6cc996cdc4 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-6cc996cdc4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-23 01:50:17 UTC
FEDORA-2021-1ec3c5ed63 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1ec3c5ed63`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1ec3c5ed63

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-23 01:57:33 UTC
FEDORA-EPEL-2021-bdd3e1ab81 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bdd3e1ab81

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-05-31 00:47:29 UTC
FEDORA-2021-1ec3c5ed63 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-05-31 01:04:51 UTC
FEDORA-2021-433e7d72ce has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-06-07 00:31:05 UTC
FEDORA-EPEL-2021-6cc996cdc4 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-06-07 00:31:28 UTC
FEDORA-EPEL-2021-bdd3e1ab81 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.